Bug 2634 - rpmbuild calculates wrong size when using %exclude
: rpmbuild calculates wrong size when using %exclude
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
: 17186
  Show dependency tree
 
Reported: 2003-06-04 18:09 by
Modified: 2008-10-22 10:19 (History)


Attachments
0002634-dummy-0.0.1-alt1.src.rpm (2.22 KB, application/x-rpm)
2003-06-04 18:09, Sergey Vlasov
no flags Details
0002634-dummy-0.0.1-alt1.i586.rpm (2.23 KB, application/x-rpm)
2003-06-04 18:10, Sergey Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-06-04 18:09:46
When the %files section in spec contains %exclude, the Size: field in the
binary package is wrong - apparently rpmbuild adds the excluded file size
instead of subtracting it.

See the attached package for an example.
---

---
------- Comment #1 From 2003-09-27 19:39:02 -------
Bug was even worse compared to reported. 
 
Fixed in rpm-build-4.0.4-alt26 
------- Comment #2 From 2008-06-15 04:21:20 -------
This change apparently broke hardlink size count.

$ rpmquery --qf '%{SIZE}\n' git-core
77763224
$
------- Comment #3 From 2008-10-22 10:19:02 -------
Fixed in rpm-4.0.4-alt95 (Sisyphus and branch 4.1), backported to
rpm-4.0.4-alt77.M40.2 (branch 4.0).  Also fixed in rpm5.org.

[at@people ~]$ rpm -qp --qf '%{VERSION}-%{RELEASE}.%{ARCH}\t%{SIZE}\n'
/ALT/Sisyphus/files/*/RPMS/git-core-1*.rpm
1.6.0.2-alt1.i586       4950949
1.6.0.2-alt1.x86_64     5538565
[at@people ~]$ rpm -qp --qf '%{VERSION}-%{RELEASE}.%{ARCH}\t%{SIZE}\n'
/ALT/4.1/files/*/RPMS/git-core-1*.rpm
1.5.5.5-alt1.i586       72697349
1.5.5.5-alt1.x86_64     77771185
[at@people ~]$ rpm -qp --qf '%{VERSION}-%{RELEASE}.%{ARCH}\t%{SIZE}\n'
/ALT/4.0/files/*/RPMS/git-core-1*.rpm
1.5.4.5-alt3.i586       64489878
1.5.4.5-alt3.x86_64     69091050
[at@people ~]$